html {
  font-family: "Gabarito",sans-serif;
  overflow-x: hidden;
  height: 100%;
  scroll-behavior: smooth;
}
body {
  padding: 0;
  margin: 0;
  overflow-x: hidden;
  background-color: var(--md-sys-color-background);
  color: var(--md-sys-color-on-background);
}

div.logo {
  margin-left: 4px;
  display: flex;
  justify-content: center;
  align-items: center;
}

.logo img {
  width: 48px;
  height: fit-content;
  pointer-events: none;
}

header {
  background-color: var(--md-sys-color-background);
  position: fixed;
  font-size: 24px;
  left: 0;
  right: 0;
  height: 64px;
  display: flex;
  align-items: center;
  box-shadow: 0 2px 8px 0 rgba(32,33,36,.08);
  z-index: 2;
  color: var(--md-sys-color-on-surface-container);
  display: block;
}

.header-container {
  display: flex;
  align-items: center
}

header * {
  display: inline;
}

header li {
  margin: 5px 0 5px 0;
}

header li a {
  color: var(--md-sys-color-on-primary-container);
  font-size: 18px;
  text-decoration: none;
  border-radius: 12px;
  padding: 10px 6px 10px 0;
}

header li a:hover {
  color: var(--md-sys-color-tertiary);
}

header li a:active {
  border-color: #448aff;
}

footer {
  display: flex;
  flex-direction: column;
  text-align: center;
  background-color: var(--md-sys-color-surface-container);
  color: var(--md-sys-color-on-surface-container);
  font-size: 24px;
}

footer p {
  font-size: 24px;
}

#footer {
  display: flex;
  width: 100%;
  justify-content: right;
  flex-direction: row;
  padding: 32px;
  margin: 0 auto;
}

.footer_col {
  display: flex;
  flex-direction: column;
  width: 50%;
  text-align: left;
  padding: 0 16px;
}


#footer a {
  color: var(--md-sys-color-primary);
  text-decoration: none;
  font-size: 18px;
  margin-bottom: 6px;
}

.footer_1 {
  text-align: left;
}

.backdrop-container {
  display: none;
  position: fixed;
  z-index: 2;
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
  overflow: auto;
  -webkit-animation: fadeIn .6s ease-in-out;
  animation: fadeIn .6s ease-in-out;
}

.sidenav-container {
  height: 99%;
  width: 0;
  position: fixed;
  z-index: 3;
  top: 0;
  left: 0;
  background-color: var(--md-sys-color-surface-container-low);
  overflow-x: hidden;
  transition: .3s;
  padding-top: 10px;
  display: flex;
  flex-direction: column;
  align-items: center;
  border-radius: 0 30px 30px 0;
  margin: 4px;
}

.sidenav-container a {
  text-decoration: none;
  font-size: 20px;
  color: var(--md-sys-color-on-surface-variant);
  display: block;
}

.sidenav-container p {
  font-size: 24px;
  color: var(--md-sys-color-primary);
  padding-left: 12px;
}

.sidenav-container .closebtn {
  height: 40px;
  width: fit-content;
}

.sidenav-container .drawer-close-button {
  width: 100%;
  padding: 12px;
  display: flex;
}

#links {
  width: 100%;
  padding: 16px;
}

#links a {
  width: 100;
  margin: 0 6px 0 6px;
  display: flex;
  padding: 10px;
  justify-content: flex-start;
  text-align: center;
  align-items: center;
  border-radius: 32px;
}

#links a:active {
  background-color: var(--md-sys-color-secondary-container);
}

#links span {
  font-size: 28px;
  margin-right: 8px;
}

#links p {
  font-size: 14px;
  padding: 8px;
  padding-left: 12px;
  padding-bottom: 0;
  color: var(--md-sys-color-on-surface-variant);
}

#homeLink {
  color: var(--md-sys-color-on-secondary-container);
  background-color: var(--md-sys-color-secondary-container);
}

@media (min-width: 100px) and (max-width:1024px) {
  div.logo {
      width:max-content
  }

  header {
      font-size: larger;
      height: 60px;
      border-radius: 0 0 20px 20px;
      margin-bottom: 0;
      box-shadow: 0 0 0 0 #111111
  }

  .header-container {
      box-shadow: 0
  }

  header p {
      padding: 0 12px;
      font-size: 22px
  }

  .logo img {
      width: 22px;
      height: 22px;
      margin-left: 20px;
      content: url(../img/menu.webp);
      pointer-events: all
  }

  header li a {
      display: none
  }

  .header-container {
      display: flex;
      justify-content: center;
      align-items: center;
      width: max-content
  }

  body {
      width: 100%
  }

  footer {
      box-sizing: border-box;
      margin: 0;
      width: auto
  }

  #footer {
      display: flex;
      flex-direction: column;
      justify-content: left;
      box-sizing: border-box;
      margin: 0;
      padding: 5px
  }

  #footer h3 {
      width: 100%;
      font-size: 25px
  }

  .footer_1 {
      display: none
  }

  @media (prefers-color-scheme: dark) {
      .logo img {
          content:url(/img/menu-white.webp)
      }
  }
}

@media (prefers-color-scheme: dark) {
  #mySidenav img {
      content:url(/img/swpro_white.svg)
  }
}
